dialog aboutvs {
  title "About V-Script"
  option dbu
  size -1 -1 202 97
  box "", 2, 4 -1 195 82
  icon 3, 10 6 16 16, system\gfx\V-Script.ico, 0
  text "V-Script 1.3.1", 4, 35 7 40 7
  text "Part of the Clan Tools package", 5, 35 15 100 7
  box "", 6, 6 24 191 4
  text "Design && Development:", 30, 10 32 81 7
  text " 2002, 2003 by Ren Weinberger", 31, 15 40 100 7
  text " 2002 - 2004 by Georg Veichtlbauer", 32, 15 48 110 7
  text " 2003 by Patricio Tapia", 33, 15 56 81 7
  text "Visit our homepage:", 40, 10 70 60 7
  link "http://www.vware.at/", 41, 80 70 70 9
  button "OK", 50, 170 83 29 12,ok
}

alias aboutvs { Dialog -m aboutvs aboutvs }
on *:dialog:aboutvs:sclick:41:{
  .run http://www.vware.at/
}

dialog vaway {
  title "VScript Away"
  option dbu
  size -1 -1 112 82
  box "Away System", 2, 2 -1 105 78
  check "Activate", 3, 4 8 30 10,push
  text "Away Text", 4, 8 23 34 7
  edit "", 5, 11 31 89 10,autohs
  check "Save private messages", 6, 13 47 79 8
  check "Announce each", 7, 13 57 54 8
  edit "100", 8, 67 56 17 10
  text "seg.", 9, 84 58 13 7
}
alias vaway {
  dialog -m vaway vaway 
}
dialog boxv {
  title "V-Script"
  option dbu
  size -1 -1 97 88
  edit "", 2, 1 1 93 70,center ,multi ,read ,vsbar
  button "Accept", 3, 33 73 29 12,ok
}
alias boxv {
  dialog -mo boxv boxv 
  did -a boxv 2 %boxerror
}

dialog viniwserver {
  title "IRC Server"
  option dbu
  size -1 -1 234 148
  icon 2, 8 9 16 16, system\gfx\V-Script.ico, 0
  box "V-Script", 3, 2 1 29 27
  box "Server List", 4, 2 28 227 102
  list 6, 4 37 67 98,vsbar
  box "Info", 7, 92 33 132 90
  button "Add", 8, 72 61 18 10,default
  button "Edit", 9, 72 72 18 10,default
  button "Del", 10, 72 82 18 10,default
  text "Server name", 11, 95 41 40 7
  text "Ip/Host", 12, 96 63 24 7
  edit "", 13, 98 49 121 10,autohs disable
  edit "", 14, 99 72 121 10,autohs disable
  text "Port", 15, 95 88 17 7
  edit "", 17, 99 96 21 10,disable
  button "Connect", 18, 193 132 31 12,default
  button "Close", 19, 1 136 24 11,cancel
  button "OK", 20, 176 112 20 9,default disable
  button "Cancel", 21, 197 112 25 9,default disable
}
alias viniwserver {
  if ( $isfile($mircdir $+ system\servers.txt) == $false ) { echo error | .halt }
  dialog -m viniwserver viniwserver
  if ( $lines($mircdir $+ system\servers.txt) = 0 ) { halt }
  else {
    %linesreadc 1
    :leerconfig
    .inc %linesreadc
    if ( $lines($mircdir $+ system\servers.txt) != %linesreadc ) {
      did -a viniwserver 6 $gettok($read($mircdir $+ system\servers.txt,%linesreadc),1,44)
      goto leerconfig
    }
    else { .did -a viniwserver 6 $gettok($read($mircdir $+ system\servers.txt,%linesreadc),1,44) }
  }
}
on *:dialog:viniwserver:sclick:6:{
  .did -r viniwserver 13,14,17
  .did -a viniwserver 13 $gettok($read($mircdir $+ system\servers.txt,$did(viniwserver,6).sel),1,44)
  .did -a viniwserver 14 $gettok($read($mircdir $+ system\servers.txt,$did(viniwserver,6).sel),2,44)
  .did -a viniwserver 17 $gettok($read($mircdir $+ system\servers.txt,$did(viniwserver,6).sel),3,44)
}

on *:dialog:viniwserver:sclick:8:{
  %modeserver = add
  .did -b viniwserver 6
  did -r viniwserver 13,14,17
  .did -e viniwserver 13,14,17,20,21
}
on *:dialog:viniwserver:sclick:9:{
  if ( $did(viniwserver,6).sel = $null ) { .halt }
  else {
    %modeserver = edit
    .did -b viniwserver 6
    .did -e viniwserver 13,14,17,20,21
  }
}
on *:dialog:viniwserver:sclick:21:{
  .did -b viniwserver 13,14,17,20,21
  did -r viniwserver 13,14,17
  .did -e viniwserver 6
}
on *:dialog:viniwserver:sclick:20:{
  if ( $did(viniwserver,13).text = $null ) { %boxerror = Add Server Name | boxv }
  else {
    if ( $did(viniwserver,14).text = $null ) { %boxerror = Add Server IP | boxv }
    else {
      if ( $did(viniwserver,17).text = $null ) { %boxerror = Add Server Port | boxv }
      else {
        if ( %modeserver == add ) {
          write System\servers.txt $did(viniwserver,13).text $+ , $+ $did(viniwserver,14).text $+ , $+  $did(viniwserver,17).text
          .did -a viniwserver 6 $did(viniwserver,13).text
          .did -r viniwserver 13,14,17,20,21
          .did -b viniwserver 13,14,17,20,21
          .did -e viniwserver 6
        }
        if ( %modeserver == edit ) {
          write -dl $+ $did(viniwserver,6).sel System\servers.txt
          write -il $+ $did(viniwserver,6).sel System\servers.txt $did(viniwserver,13).text $+ , $+ $did(viniwserver,14).text $+ , $+  $did(viniwserver,17).text
          .did -b viniwserver 13,14,17,20,21
          .did -e viniwserver 6
        }
      }
    }
  }
}
on *:dialog:viniwserver:sclick:10:{
  .write -dl $+ $did(viniwserver,6).sel System\servers.txt
  .did -r viniwserver 6

  %linesreadc = 0
  :leerconfig
  .inc %linesreadc
  if ( $lines($mircdir $+ system\servers.txt) = 0 ) { halt }
  else {
    if ( $lines($mircdir $+ system\servers.txt) != %linesreadc ) {
      did -a viniwserver 6 $gettok($read($mircdir $+ system\servers.txt,%linesreadc),1,44)
      goto leerconfig
    }
    else { .did -a viniwserver 6 $gettok($read($mircdir $+ system\servers.txt,%linesreadc),1,44) }
  }
}
on *:dialog:viniwserver:sclick:18:{
  if ( $did(viniwserver,6).sel = $null ) { .halt }
  else {
    server $did(viniwserver,14).text $+ : $+ $did(viniwserver,17).text
    dialog -x viniwserver viniwserver
  }
}

;ViewLogs
menu @ViewLog {
  rclick:viewloga
}
alias viewloga {
  %viewlogfile
  %viewlogfile = $sfile(logs\*.log,Select LOG file to Open,Open)
  if ( %viewlogfile = $null ) { .halt }
  else {
    aline @ViewLog ----------------------------------------------------------
    aline @ViewLog Opening  $+ $nopath(%viewlogfile)
    aline @ViewLog ----------------------------------------------------------
    %loopfile = 1
    :loopfile
    .inc %loopfile
    if ( $lines(%viewlogfile) != %loopfile ) { 
      .aline @ViewLog $read(%viewlogfile,%loopfile) 
      goto loopfile 
    }
    else { .aline @ViewLog $read(%viewlogfile,%loopfile) }
  }
}
alias viewlog {
  window -ak @ViewLog
  aline @ViewLog Click 5Right Button Mouse to open LOG file
}

dialog vfindfile {
  title "V-Script Search"
  option dbu
  size -1 -1 173 156
  box "V-Script Search", 2, 3 1 165 74
  text "Search for:", 3, 14 10 29 7
  radio "Dir.", 4, 44 9 20 8
  radio "File", 5, 44 18 19 8
  text "Name:", 6, 83 9 17 7
  edit "", 7, 101 8 64 10,autohs
  text "Use * for more results", 8, 106 18 54 7
  check "Max Results", 10, 90 45 38 8,hide
  edit "", 11, 129 44 15 10,hide
  text "Dir to Find", 12, 15 35 27 7
  edit "c:\", 13, 18 44 59 10,autohs
  box "Result (Double Click to Run)", 14, 3 76 165 72
  list 15, 5 83 160 70, vsbar hsbar
  button "Find", 16, 134 61 29 11,default
  button "/", 18, 78 44 7 10,default
}
alias vfindfile {
  dialog -m vfindfile vfindfile 
}
on *:dialog:vfindfile:sclick:16:{
  if ( ( $did(vfindfile,4).state == 0 ) && ( $did(vfindfile,5).state == 0 ) ) { %boxerror = Select a Search Option | boxv | .halt }

  did -r vfindfile 15

  if ( $did(vfindfile,4).state == 1 ) { 
    %bucledirs = 0
    :inibuc
    .inc %bucledirs
    if ( $finddir($did(vfindfile,13).text $+ , $+ $did(vfindfile,7).text $+ , $+ %bucledirs ) ! = $null ) {
      .did -a vfindfile 15 $finddir( $+ $did(vfindfile,13).text $+ , $+ $did(vfindfile,7).text $+ , $+ %bucledirs $+ ) 
      .goto inibuc
    }
  }
  if ( $did(vfindfile,5).state == 1 ) {
    %buclefiles = 0
    :inibuc2
    .inc %buclefiles
    if ( $findfile($did(vfindfile,13).text $+ , $+ $did(vfindfile,7).text $+ , $+ %buclefiles ) != $null ) {
      .did -a vfindfile 15 $findfile( $+ $did(vfindfile,13).text $+ , $+ $did(vfindfile,7).text $+ , $+ %buclefiles $+ ) 
      .goto inibuc2
    }
  }
}
on *:dialog:vfindfile:dclick:15:{
  .run $did(vfindfile,15).seltext
}
on *:dialog:vfindfile:sclick:18:{
  if ( %dirfindfilet == $null ) { .halt }
  else {
    did -r vfindfile 13
    did -a vfindfile 13 %dirfindfilet
  }
}
%checkuv 0
%inivar 17
%viewsockporti 1
%quotes 11
%quotestatusoff
%quotestatuson 
%theme system\themes\black.txt
%i 25
%drives 9
%driveinc 75
%d1 DRIVE C
%d2 DRIVE D
%d3 DRIVE E
%d4 DRIVE F
%d5 DRIVE G
%d6 DRIVE H
%d7 DRIVE I
%d8 DRIVE J
%aktiveyes 
%aktiveno
